
from discord import Member, User
from redbot.core import commands


class Type(object):
    def __init__(self) -> None:
        self.type = None
        self.verb = None
        self.embed_desc = "been"

    def __str__(self) -> str:
        return self.type

    @classmethod
    async def handler(cls, ctx: commands.Context, target: Member | User, silent: bool, **kwargs) -> 'Type': # pylint: disable=unused-argument
        """This method should be overridden by any child classes, but should retain the same starting keyword arguments."""
        raise NotImplementedError
